/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.runtime.standalone;

import java.io.File;

import org.fabric3.host.runtime.HostInfo;

/**
 * @version $Rev: 4120 $ $Date: 2008-05-04 08:17:06 +0100 (Sun, 04 May 2008) $
 */
public interface StandaloneHostInfo extends HostInfo {

    /**
     * Returns the directory containing this runtime's configuration.
     *
     * @return the directory containing this runtime's configuration
     */
    File getConfigDirectory();

    /**
     * Returns the runtime extensions directory.
     *
     * @return the runtime extensions directory
     */
    File getExtensionsDirectory();

    /**
     * Returns the user extensions directory.
     *
     * @return the user extensions directory
     */
    File getUserExtensionsDirectory();

}
